VULKAN_HPP_NAMESPACE::CopyDescriptorSet Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::CopyDescriptorSet:
[legend]

## Public Member Functions

| CopyDescriptorSet (DescriptorSet srcSet_=DescriptorSet(), uint32_t srcBinding_=0, uint32_t srcArrayElement_=0, DescriptorSet dstSet_=DescriptorSet(), uint32_t dstBinding_=0, uint32_t dstArrayElement_=0, uint32_t descriptorCount_=0)
| CopyDescriptorSet (VkCopyDescriptorSet const &rhs)
CopyDescriptorSet & | operator= (VkCopyDescriptorSet const &rhs)
CopyDescriptorSet & | setPNext (const void *pNext_)
CopyDescriptorSet & | setSrcSet (DescriptorSet srcSet_)
CopyDescriptorSet & | setSrcBinding (uint32_t srcBinding_)
CopyDescriptorSet & | setSrcArrayElement (uint32_t srcArrayElement_)
CopyDescriptorSet & | setDstSet (DescriptorSet dstSet_)
CopyDescriptorSet & | setDstBinding (uint32_t dstBinding_)
CopyDescriptorSet & | setDstArrayElement (uint32_t dstArrayElement_)
CopyDescriptorSet & | setDescriptorCount (uint32_t descriptorCount_)
| operator VkCopyDescriptorSet const & () const
| operator VkCopyDescriptorSet & ()
bool | operator== (CopyDescriptorSet const &rhs) const
bool | operator!= (CopyDescriptorSet const &rhs) const

## Data Fields

const void * | pNext = nullptr
DescriptorSet | srcSet
uint32_t | srcBinding
uint32_t | srcArrayElement
DescriptorSet | dstSet
uint32_t | dstBinding
uint32_t | dstArrayElement
uint32_t | descriptorCount

## Private Attributes

StructureType | sType = StructureType::eCopyDescriptorSet

## Detailed Description

Definition at line 9990 of file vulkan.hpp.

## Constructor & Destructor Documentation

## CopyDescriptorSet() [1/2]

VULKAN_HPP_NAMESPACE::CopyDescriptorSet::CopyDescriptorSet | ( | DescriptorSet | srcSet_ = `DescriptorSet()`,
|  | uint32_t | srcBinding_ = `0`,
|  | uint32_t | srcArrayElement_ = `0`,
|  | DescriptorSet | dstSet_ = `DescriptorSet()`,
|  | uint32_t | dstBinding_ = `0`,
|  | uint32_t | dstArrayElement_ = `0`,
|  | uint32_t | descriptorCount_ = `0`
| ) |  |

inline

Definition at line 9992 of file vulkan.hpp.

: srcSet( srcSet_ )
, srcBinding( srcBinding_ )
, srcArrayElement( srcArrayElement_ )
, dstSet( dstSet_ )
, dstBinding( dstBinding_ )
, dstArrayElement( dstArrayElement_ )
, descriptorCount( descriptorCount_ )
{
}

## CopyDescriptorSet() [2/2]

VULKAN_HPP_NAMESPACE::CopyDescriptorSet::CopyDescriptorSet | ( | VkCopyDescriptorSet const & | rhs | ) |

inline

Definition at line 10009 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CopyDescriptorSet ) );
}

References memcpy.

## Member Function Documentation

## operator VkCopyDescriptorSet &()

VULKAN_HPP_NAMESPACE::CopyDescriptorSet::operator VkCopyDescriptorSet & | ( |  | ) |

inline

Definition at line 10072 of file vulkan.hpp.

{
return *reinterpret_cast<VkCopyDescriptorSet*>(this);
}

## operator VkCopyDescriptorSet const &()

VULKAN_HPP_NAMESPACE::CopyDescriptorSet::operator VkCopyDescriptorSet const & | ( |  | ) | const

inline

Definition at line 10067 of file vulkan.hpp.

{
return *reinterpret_cast<const VkCopyDescriptorSet*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::CopyDescriptorSet::operator!= | ( | CopyDescriptorSet const & | rhs | ) | const

inline

Definition at line 10090 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

CopyDescriptorSet& VULKAN_HPP_NAMESPACE::CopyDescriptorSet::operator= | ( | VkCopyDescriptorSet const & | rhs | ) |

inline

Definition at line 10014 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CopyDescriptorSet ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::CopyDescriptorSet::operator== | ( | CopyDescriptorSet const & | rhs | ) | const

inline

Definition at line 10077 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( srcSet == rhs.srcSet )
&& ( srcBinding == rhs.srcBinding )
&& ( srcArrayElement == rhs.srcArrayElement )
&& ( dstSet == rhs.dstSet )
&& ( dstBinding == rhs.dstBinding )
&& ( dstArrayElement == rhs.dstArrayElement )
&& ( descriptorCount == rhs.descriptorCount );
}

References descriptorCount, dstArrayElement, dstBinding, dstSet, pNext, srcArrayElement, srcBinding, srcSet, and sType.

Referenced by operator!=().

## setDescriptorCount()

CopyDescriptorSet& VULKAN_HPP_NAMESPACE::CopyDescriptorSet::setDescriptorCount | ( | uint32_t | descriptorCount_ | ) |

inline

Definition at line 10061 of file vulkan.hpp.

{
descriptorCount = descriptorCount_;
return *this;
}

References descriptorCount.

## setDstArrayElement()

CopyDescriptorSet& VULKAN_HPP_NAMESPACE::CopyDescriptorSet::setDstArrayElement | ( | uint32_t | dstArrayElement_ | ) |

inline

Definition at line 10055 of file vulkan.hpp.

{
dstArrayElement = dstArrayElement_;
return *this;
}

References dstArrayElement.

## setDstBinding()

CopyDescriptorSet& VULKAN_HPP_NAMESPACE::CopyDescriptorSet::setDstBinding | ( | uint32_t | dstBinding_ | ) |

inline

Definition at line 10049 of file vulkan.hpp.

{
dstBinding = dstBinding_;
return *this;
}

References dstBinding.

## setDstSet()

CopyDescriptorSet& VULKAN_HPP_NAMESPACE::CopyDescriptorSet::setDstSet | ( | DescriptorSet | dstSet_ | ) |

inline

Definition at line 10043 of file vulkan.hpp.

{
dstSet = dstSet_;
return *this;
}

References dstSet.

## setPNext()

CopyDescriptorSet& VULKAN_HPP_NAMESPACE::CopyDescriptorSet::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 10019 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSrcArrayElement()

CopyDescriptorSet& VULKAN_HPP_NAMESPACE::CopyDescriptorSet::setSrcArrayElement | ( | uint32_t | srcArrayElement_ | ) |

inline

Definition at line 10037 of file vulkan.hpp.

{
srcArrayElement = srcArrayElement_;
return *this;
}

References srcArrayElement.

## setSrcBinding()

CopyDescriptorSet& VULKAN_HPP_NAMESPACE::CopyDescriptorSet::setSrcBinding | ( | uint32_t | srcBinding_ | ) |

inline

Definition at line 10031 of file vulkan.hpp.

{
srcBinding = srcBinding_;
return *this;
}

References srcBinding.

## setSrcSet()

CopyDescriptorSet& VULKAN_HPP_NAMESPACE::CopyDescriptorSet::setSrcSet | ( | DescriptorSet | srcSet_ | ) |

inline

Definition at line 10025 of file vulkan.hpp.

{
srcSet = srcSet_;
return *this;
}

References srcSet.

## Field Documentation

## descriptorCount

uint32_t VULKAN_HPP_NAMESPACE::CopyDescriptorSet::descriptorCount

Definition at line 10106 of file vulkan.hpp.

Referenced by operator==(), and setDescriptorCount().

## dstArrayElement

uint32_t VULKAN_HPP_NAMESPACE::CopyDescriptorSet::dstArrayElement

Definition at line 10105 of file vulkan.hpp.

Referenced by operator==(), and setDstArrayElement().

## dstBinding

uint32_t VULKAN_HPP_NAMESPACE::CopyDescriptorSet::dstBinding

Definition at line 10104 of file vulkan.hpp.

Referenced by operator==(), and setDstBinding().

## dstSet

DescriptorSet VULKAN_HPP_NAMESPACE::CopyDescriptorSet::dstSet

Definition at line 10103 of file vulkan.hpp.

Referenced by operator==(), and setDstSet().

## pNext

const void* VULKAN_HPP_NAMESPACE::CopyDescriptorSet::pNext = nullptr

Definition at line 10099 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## srcArrayElement

uint32_t VULKAN_HPP_NAMESPACE::CopyDescriptorSet::srcArrayElement

Definition at line 10102 of file vulkan.hpp.

Referenced by operator==(), and setSrcArrayElement().

## srcBinding

uint32_t VULKAN_HPP_NAMESPACE::CopyDescriptorSet::srcBinding

Definition at line 10101 of file vulkan.hpp.

Referenced by operator==(), and setSrcBinding().

## srcSet

DescriptorSet VULKAN_HPP_NAMESPACE::CopyDescriptorSet::srcSet

Definition at line 10100 of file vulkan.hpp.

Referenced by operator==(), and setSrcSet().

## sType

StructureType VULKAN_HPP_NAMESPACE::CopyDescriptorSet::sType = StructureType::eCopyDescriptorSet

private

Definition at line 10096 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::CopyDescriptorSet::descriptorCount
uint32_t descriptorCount
Definition: vulkan.hpp:10106
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::sType
StructureType sType
Definition: vulkan.hpp:10096
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::dstSet
DescriptorSet dstSet
Definition: vulkan.hpp:10103
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::operator==
bool operator==(CopyDescriptorSet const &rhs) const
Definition: vulkan.hpp:10077
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::srcBinding
uint32_t srcBinding
Definition: vulkan.hpp:10101
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::CopyDescriptorSet
CopyDescriptorSet(DescriptorSet srcSet_=DescriptorSet(), uint32_t srcBinding_=0, uint32_t srcArrayElement_=0, DescriptorSet dstSet_=DescriptorSet(), uint32_t dstBinding_=0, uint32_t dstArrayElement_=0, uint32_t descriptorCount_=0)
Definition: vulkan.hpp:9992
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::dstArrayElement
uint32_t dstArrayElement
Definition: vulkan.hpp:10105
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::dstBinding
uint32_t dstBinding
Definition: vulkan.hpp:10104
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::srcSet
DescriptorSet srcSet
Definition: vulkan.hpp:10100
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::srcArrayElement
uint32_t srcArrayElement
Definition: vulkan.hpp:10102
VULKAN_HPP_NAMESPACE::CopyDescriptorSet::pNext
const void * pNext
Definition: vulkan.hpp:10099
VkCopyDescriptorSet
Definition: vulkan_core.h:2594